changeset 33135:4447a2ad6d66

idpriv-drop: Fix tests.
author Ian Beckwith <ianb@erislabs.net>
date Thu, 01 Jul 2010 10:54:36 +0200
parents 632d40a38571
children 2aa2c6ee664f
files ChangeLog tests/test-idpriv-drop.su.sh
diffstat 2 files changed, 12 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Wed Jun 30 02:19:54 2010 +0200
+++ b/ChangeLog	Thu Jul 01 10:54:36 2010 +0200
@@ -1,3 +1,9 @@
+2010-07-01  Ian Beckwith  <ianb@erislabs.net>
+
+	idpriv-drop: Fix tests.
+	* tests/test-idpriv-drop.su.sh: Refer to the test-idpriv-drop program,
+	not to the test-idpriv-droptemp program.
+
 2010-06-29  Bruno Haible  <bruno@clisp.org>
 
 	string: Fix syntax error with g++ 2.96.
--- a/tests/test-idpriv-drop.su.sh	Wed Jun 30 02:19:54 2010 +0200
+++ b/tests/test-idpriv-drop.su.sh	Thu Jul 01 10:54:36 2010 +0200
@@ -31,12 +31,12 @@
 ./test-idpriv-drop${EXEEXT} || exit 13          # setuid and setgid root
 
 if chown nobody test-idpriv-drop${EXEEXT} 2>/dev/null; then
-  chmod 4755 test-idpriv-droptemp${EXEEXT}
-  ./test-idpriv-droptemp${EXEEXT} || exit 13    # setuid nobody
-  chmod 2755 test-idpriv-droptemp${EXEEXT}
-  ./test-idpriv-droptemp${EXEEXT} || exit 13    # setgid root
-  chmod 6755 test-idpriv-droptemp${EXEEXT}
-  ./test-idpriv-droptemp${EXEEXT} || exit 13    # setuid nobody and setgid root
+  chmod 4755 test-idpriv-drop${EXEEXT}
+  ./test-idpriv-drop${EXEEXT} || exit 13        # setuid nobody
+  chmod 2755 test-idpriv-drop${EXEEXT}
+  ./test-idpriv-drop${EXEEXT} || exit 13        # setgid root
+  chmod 6755 test-idpriv-drop${EXEEXT}
+  ./test-idpriv-drop${EXEEXT} || exit 13        # setuid nobody and setgid root
 fi
 
 if chown root:nobody test-idpriv-drop${EXEEXT} 2>/dev/null; then